$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.12.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.12.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '6B9328A79BB00728C60A3CC73488FCCBA3F3CC78D80F22C6C767FFF56DB060CC'
  checksumType = 'sha256'
  checksum64 = '6B9328A79BB00728C60A3CC73488FCCBA3F3CC78D80F22C6C767FFF56DB060CC'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
